| CMSIS-RTOS Version 1.00 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Defines

- osCMSIS : cmsis_os.h
- osCMSIS_KERNEL : cmsis_os.h
- osFeature_MailQ : cmsis_os.h
- osFeature_MainThread : cmsis_os.h
- osFeature_MessageQ : cmsis_os.h
- osFeature_Pool : cmsis_os.h
- osFeature_Semaphore : cmsis_os.h
- osFeature_Signals : cmsis_os.h
- osFeature_Wait : cmsis_os.h
- osKernelSystemId : cmsis_os.h
- osMailQ : cmsis_os.h
- osMailQDef : cmsis_os.h
- osMessageQ : cmsis_os.h
- osMessageQDef : cmsis_os.h
- osMutex : cmsis_os.h
- osMutexDef : cmsis_os.h
- osPool : cmsis_os.h
- osPoolDef : cmsis_os.h
- osSemaphore : cmsis_os.h
- osSemaphoreDef : cmsis_os.h
- osThread : cmsis_os.h
- osThreadDef : cmsis_os.h
- osTimer : cmsis_os.h
- osTimerDef : cmsis_os.h
- osWaitForever : cmsis_os.h